% addpath(genpath('..'));

Examples   = LoadExampleDefinitions;
ExampleIdx = SelectExample([],Examples);
Example    = Examples{ExampleIdx};

disp(Example.prob)
% disp(Example.prob.graphmodel)
disp(Example.samplemodel)

[yr,outs] = run_methods_LRRS(Example);
s1=convertCharsToStrings(Example.descr);
% s2=convertCharsToStrings(Example.prob.normalization);
% if islogical(s2)
%     s2 = "false";
% end
s3=convertCharsToStrings('.mat');
save(strcat('experiments/',strcat(s1,s3)),'Example','outs','yr');